import axios from '@/common/services/axios-instance'
/*
 * 非流程增删改
 * params 需要传的参数 GET  POST 一样例
 * const params = {
      id: id,
    }
 * formId 模块下的formId String 例 'oaPersonalUserGroup'
 * pageId 模块下的pageId String 例 'personalUserGroup'
 */
class PageService {
  // 列表
  getList(params) {
    return axios({
      url: 'api/framework/v1/page/businessList',
      method: 'post',
      data: params,
    })
  }

  // 新建个人群组
  save(params) {
    return axios({
      url: 'api/framework/v1/page/handleData',
      method: 'post',
      data: params,
    })
  }

  // 获取详情数据
  get(params, pageId) {
    return axios({
      url: `api/framework/v1/page/wp/${pageId}`,
      method: 'get',
      params,
    })
  }

  // 删除列表
  delete(params, formId) {
    return axios({
      url: `api/framework/v1/page/${formId}`,
      method: 'delete',
      params,
    })
  }
}

export default new PageService()
